Last Comment Bug 774990 - Copying a profile with a disabled restartless add-on to a different directory causes extensions to fail to load
: Copying a profile with a disabled restartless add-on to a different directory...
Status: RESOLVED FIXED
:
Product: Toolkit
Classification: Components
Component: Add-ons Manager (show other bugs)
: 15 Branch
: x86 Windows XP
: -- normal (vote)
: mozilla17
Assigned To: Dave Townsend [:mossop]
:
Mentors:
Depends on:
Blocks: 744833 780690
  Show dependency treegraph
 
Reported: 2012-07-17 23:12 PDT by al_9x
Modified: 2012-08-08 10:50 PDT (History)
7 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
+
verified
+
fixed


Attachments
patch rev 1 (4.35 KB, patch)
2012-07-19 14:51 PDT, Dave Townsend [:mossop]
blair: review+
akeybl: approval‑mozilla‑aurora+
akeybl: approval‑mozilla‑beta+
Details | Diff | Splinter Review

Description al_9x 2012-07-17 23:12:59 PDT
the error log shows:

Timestamp: 7/18/2012 2:03:34 AM
Error: ERROR addons.xpi: Error processing file changes: TypeError: bootstrap is undefined
Source File: resource:///modules/XPIProvider.jsm
Line: 2412

Could not read chrome manifest 'old jar absolute path'. <- for every extension

the a bunch of these for many resources of various extensions:

No chrome package registered for chrome://tabmixplus/content/overlay/browsroverlay40.css

restarting Fx once or twice, fixes the problem, but this worked flawlessly before 15
Comment 1 al_9x 2012-07-17 23:31:26 PDT
This is caused by a disabled firebug 1.10, without it, or if enabled, there is no problem after copying
Comment 2 al_9x 2012-07-17 23:37:41 PDT
But Fx 15 is a factor, no problem in 14
Comment 3 Jan Honza Odvarko [:Honza] 2012-07-18 06:24:58 PDT
(In reply to al_9x from comment #1)
> This is caused by a disabled firebug 1.10, without it, or if enabled, there
> is no problem after copying
I don't understand this. If Firebug is disabled how it could cause the problem?
Does it mean that it's Firefox issue?

Honza
Comment 4 Wladimir Palant 2012-07-18 06:37:57 PDT
Yes, the bug description clearly indicates that extensions.ini didn't get updated - that would be a Firefox issue.
Comment 5 al_9x 2012-07-18 07:27:48 PDT
I don't understand either, but it's consistent.

@Wladimir - I cced you because you recently blogged about restartless extensions.  This seems to have something to do with that.  In fact the same thing happens with a disabled abp instead of firebug.  It's as if Fx tries to call into the disabled restartless extension on first start after copying, expecting it to do something, which it doesn't.
Comment 6 Dave Townsend [:mossop] 2012-07-18 09:36:14 PDT
Does this happen with 16 or 17?
Comment 7 Dave Townsend [:mossop] 2012-07-18 09:38:47 PDT
Nevermind, looks like this is some kind of regression caused by bug 744833
Comment 8 Dave Townsend [:mossop] 2012-07-18 09:40:37 PDT
How are you copying the profile files? Is there any chance that prefs.js isn't included in the copy, since that would probably cause this issue.
Comment 9 al_9x 2012-07-18 10:16:26 PDT
everything is copied
Comment 10 Dave Townsend [:mossop] 2012-07-18 11:32:26 PDT
This happens whenever there is a disabled restartless add-on in the profile.
Comment 11 Dave Townsend [:mossop] 2012-07-19 14:51:19 PDT
Created attachment 644021 [details] [diff] [review]
patch rev 1

Silly mistake here, if the add-on is disabled then it won't be in bootstrappedAddons so everything goes horribly wrong.
Comment 12 Dave Townsend [:mossop] 2012-07-23 12:07:58 PDT
On inbound: https://hg.mozilla.org/integration/mozilla-inbound/rev/ef2285d68618

Once it passes a few days on nightly I'll see about getting it pushed to aurora and beta.
Comment 13 Ed Morley [:emorley] 2012-07-24 03:01:10 PDT
https://hg.mozilla.org/mozilla-central/rev/ef2285d68618
Comment 14 Dave Townsend [:mossop] 2012-07-30 12:16:43 PDT
Comment on attachment 644021 [details] [diff] [review]
patch rev 1

[Approval Request Comment]
Bug caused by (feature/regressing bug #): bug 744833
User impact if declined: it's a rare case so few users will see the issue, but it is also a very safe and simple fix.
Testing completed (on m-c, etc.): m-c for a few days, it's not a common path though so the automated testing are our main source of testing here
Risk to taking this patch (and alternatives if risky): extremely safe
String or UUID changes made by this patch: none
Comment 15 Alex Keybl [:akeybl] 2012-07-30 12:53:10 PDT
Comment on attachment 644021 [details] [diff] [review]
patch rev 1

[Triage Comment]
Since we're still early in the beta cycle, and this is a low risk FF15 regression fix, let's take the fix even though it's likely to be a rare user issue.
Comment 17 Virgil Dicu [:virgil] [QA] 2012-08-03 08:35:00 PDT
Mozilla/5.0 (Windows NT 6.1; rv:15.0) Gecko/20100101 Firefox/15.0

Verified in Firefox 15 beta3 after copying profile with Firebug disabled. No extension.log.

Note You need to log in before you can comment on or make changes to this bug.